# Arbeitszeitmodell-Zuordnungen aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/schedule_models_history`

Replace all assignments for this employee.

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `assignments` | object[] | ja |
| `assignments[].schedule_model_id` | string | ja |
| `assignments[].valid_after` | string | ja |

## Antworten

### 200: Array of `ScheduleModelsHistoryResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object[] | ja |  |
| `data[].id` | string | ja |  |
| `data[].schedule_model_id` | string | ja |  |
| `data[].schedule_model` | object | nein |  |
| `data[].schedule_model.id` | string | ja |  |
| `data[].schedule_model.name` | string | ja |  |
| `data[].schedule_model.type` | string | ja |  |
| `data[].schedule_model.accommodation_time` | string | ja |  |
| `data[].schedule_model.blocked_weekdays` | integer[] | ja | ISO weekdays (1-7) fully blocked from the time account |
| `data[].schedule_model.night_begin` | string | ja |  |
| `data[].schedule_model.entries` | object[] | nein |  |
| `data[].schedule_model.work_weekdays` | string | ja |  |
| `data[].schedule_model.work_weekdays_label` | string | ja |  |
| `data[].schedule_model.weekly_target_ms` | string | ja |  |
| `data[].schedule_model.weekly_target_hours` | number | ja |  |
| `data[].schedule_model.created_at` | string | ja |  |
| `data[].schedule_model.updated_at` | string | ja |  |
| `data[].valid_after` | string | ja |  |
| `data[].created_at` | string | ja |  |
| `data[].updated_at` | string | ja |  |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
